/**
 * @license jquery.panzoom.js v3.2.2
 * Updated: Sat Aug 27 2016
 * Add pan and zoom functionality to any element
 * Copyright (c) timmy willison
 * Released under the MIT license
 * https://github.com/timmywil/jquery.panzoom/blob/master/MIT-License.txt
 */
!function(t,e){"function"==typeof define&&define.amd?define(["jquery"],function(n){return e(t,n)}):"object"==typeof exports?e(t,require("jquery")):e(t,t.jQuery)}("undefined"!=typeof window?window:this,function(t,e){"use strict";var n=t.document,i="__pz__",s=Array.prototype.slice,o=/trident\/7./i,a=function(){if(o.test(navigator.userAgent))return!1;var t=n.createElement("input");return t.setAttribute("oninput","return"),"function"==typeof t.oninput}(),r=/([A-Z])/g,h=/^http:[\w\.\/]+svg$/,c="(\\-?\\d[\\d\\.e-]*)",l=new RegExp("^matrix\\("+c+"\\,?\\s*"+c+"\\,?\\s*"+c+"\\,?\\s*"+c+"\\,?\\s*"+c+"\\,?\\s*"+c+"\\)$");
/**
	 * Creates the options object for reset functions
	 * @param {Boolean|Object} opts See reset methods
	 * @returns {Object} Returns the newly-created options object
	 */
function m(t){var n={range:!0,animate:!0};return"boolean"==typeof t?n.animate=t:e.extend(n,t),n}
/**
	 * Represent a transformation matrix with a 3x3 matrix for calculations
	 * Matrix functions adapted from Louis Remi's jQuery.transform (https://github.com/louisremi/jquery.transform.js)
	 * @param {Array|Number} a An array of six values representing a 2d transformation matrix
	 */function u(t,n,i,s,o,a,r,h,c){"array"===e.type(t)?this.elements=[+t[0],+t[2],+t[4],+t[1],+t[3],+t[5],0,0,1]:this.elements=[t,n,i,s,o,a,r||0,h||0,c||1]}
/**
	 * Create a vector containing three values
	 */
function f(t,e,n){this.elements=[t,e,n]}
/**
	 * Get the element at zero-indexed index i
	 * @param {Number} i
	 */
/**
	 * Create a Panzoom object for a given element
	 * @constructor
	 * @param {Element} elem - Element to use pan and zoom
	 * @param {Object} [options] - An object literal containing options to override default options
	 *  (See Panzoom.defaults for ones not listed below)
	 * @param {jQuery} [options.$zoomIn] - zoom in buttons/links collection (you can also bind these yourself
	 *  e.g. $button.on('click', function(e) { e.preventDefault(); $elem.panzoom('zoomIn'); });)
	 * @param {jQuery} [options.$zoomOut] - zoom out buttons/links collection on which to bind zoomOut
	 * @param {jQuery} [options.$zoomRange] - zoom in/out with this range control
	 * @param {jQuery} [options.$reset] - Reset buttons/links collection on which to bind the reset method
	 * @param {Function} [options.on[Start|Change|Zoom|Pan|End|Reset] - Optional callbacks for panzoom events
	 */
function p(t,s){if(!(this instanceof p))return new p(t,s);1!==t.nodeType&&e.error("Panzoom called on non-Element node"),e.contains(n,t)||e.error("Panzoom element must be attached to the document");var o=e.data(t,i);if(o)return o;this.options=s=e.extend({},p.defaults,s),this.elem=t;var a=this.$elem=e(t);this.$set=s.$set&&s.$set.length?s.$set:a,this.$doc=e(t.ownerDocument||n),this.$parent=a.parent(),this.parent=this.$parent[0],this.isSVG=h.test(t.namespaceURI)&&"svg"!==t.nodeName.toLowerCase(),this.panning=!1,this._buildTransform(),void 0!==e.cssProps.transform&&(this._transform=e.cssProps.transform.replace(r,"-$1").toLowerCase()),this._buildTransition(),this.resetDimensions();var c=e(),l=this;e.each(["$zoomIn","$zoomOut","$zoomRange","$reset"],function(t,e){l[e]=s[e]||c}),this.enable(),this.scale=this.getMatrix()[0],this._checkPanWhenZoomed(),e.data(t,i,this)}return u.prototype={
/**
		 * Multiply a 3x3 matrix by a similar matrix or a vector
		 * @param {Matrix|Vector} matrix
		 * @return {Matrix|Vector} Returns a vector if multiplying by a vector
		 */
x:function(t){var e=t instanceof f,n=this.elements,i=t.elements;return e&&3===i.length?new f(n[0]*i[0]+n[1]*i[1]+n[2]*i[2],n[3]*i[0]+n[4]*i[1]+n[5]*i[2],n[6]*i[0]+n[7]*i[1]+n[8]*i[2]):i.length===n.length&&new u(n[0]*i[0]+n[1]*i[3]+n[2]*i[6],n[0]*i[1]+n[1]*i[4]+n[2]*i[7],n[0]*i[2]+n[1]*i[5]+n[2]*i[8],n[3]*i[0]+n[4]*i[3]+n[5]*i[6],n[3]*i[1]+n[4]*i[4]+n[5]*i[7],n[3]*i[2]+n[4]*i[5]+n[5]*i[8],n[6]*i[0]+n[7]*i[3]+n[8]*i[6],n[6]*i[1]+n[7]*i[4]+n[8]*i[7],n[6]*i[2]+n[7]*i[5]+n[8]*i[8])},
/**
		 * Generates an inverse of the current matrix
		 * @returns {Matrix}
		 */
inverse:function(){var t=1/this.determinant(),e=this.elements;return new u(t*(e[8]*e[4]-e[7]*e[5]),t*-(e[8]*e[1]-e[7]*e[2]),t*(e[5]*e[1]-e[4]*e[2]),t*-(e[8]*e[3]-e[6]*e[5]),t*(e[8]*e[0]-e[6]*e[2]),t*-(e[5]*e[0]-e[3]*e[2]),t*(e[7]*e[3]-e[6]*e[4]),t*-(e[7]*e[0]-e[6]*e[1]),t*(e[4]*e[0]-e[3]*e[1]))},
/**
		 * Calculates the determinant of the current matrix
		 * @returns {Number}
		 */
determinant:function(){var t=this.elements;return t[0]*(t[8]*t[4]-t[7]*t[5])-t[3]*(t[8]*t[1]-t[7]*t[2])+t[6]*(t[5]*t[1]-t[4]*t[2])}},f.prototype.e=u.prototype.e=function(t){return this.elements[t]},p.rmatrix=l,p.defaults={eventNamespace:".panzoom",transition:!0,cursor:"move",disablePan:!1,disableZoom:!1,disableXAxis:!1,disableYAxis:!1,which:1,increment:.3,exponential:!0,panOnlyWhenZoomed:!1,minScale:.3,maxScale:6,rangeStep:.05,duration:200,easing:"ease-in-out",contain:!1},p.prototype={constructor:p,
/**
		 * @returns {Panzoom} Returns the instance
		 */
instance:function(){return this},
/**
		 * Enable or re-enable the panzoom instance
		 */
enable:function(){this._initStyle(),this._bind(),this.disabled=!1},
/**
		 * Disable panzoom
		 */
disable:function(){this.disabled=!0,this._resetStyle(),this._unbind()},
/**
		 * @returns {Boolean} Returns whether the current panzoom instance is disabled
		 */
isDisabled:function(){return this.disabled},
/**
		 * Destroy the panzoom instance
		 */
destroy:function(){this.disable(),e.removeData(this.elem,i)},
/**
		 * Builds the restricing dimensions from the containment element
		 * Also used with focal points
		 * Call this method whenever the dimensions of the element or parent are changed
		 */
resetDimensions:function(){this.container=this.parent.getBoundingClientRect();var t=this.elem,n=t.getBoundingClientRect(),i=Math.abs(this.scale);this.dimensions={width:n.width,height:n.height,left:e.css(t,"left",!0)||0,top:e.css(t,"top",!0)||0,border:{top:e.css(t,"borderTopWidth",!0)*i||0,bottom:e.css(t,"borderBottomWidth",!0)*i||0,left:e.css(t,"borderLeftWidth",!0)*i||0,right:e.css(t,"borderRightWidth",!0)*i||0},margin:{top:e.css(t,"marginTop",!0)*i||0,left:e.css(t,"marginLeft",!0)*i||0}}},
/**
		 * Return the element to it's original transform matrix
		 * @param {Boolean} [options] If a boolean is passed, animate the reset (default: true). If an options object is passed, simply pass that along to setMatrix.
		 * @param {Boolean} [options.silent] Silence the reset event
		 */
reset:function(t){t=m(t);var e=this.setMatrix(this._origTransform,t);t.silent||this._trigger("reset",e)},
/**
		 * Only resets zoom level
		 * @param {Boolean|Object} [options] Whether to animate the reset (default: true) or an object of options to pass to zoom()
		 */
resetZoom:function(t){t=m(t);var e=this.getMatrix(this._origTransform);t.dValue=e[3],this.zoom(e[0],t)},
/**
		 * Only reset panning
		 * @param {Boolean|Object} [options] Whether to animate the reset (default: true) or an object of options to pass to pan()
		 */
resetPan:function(t){var e=this.getMatrix(this._origTransform);this.pan(e[4],e[5],m(t))},
/**
		 * Sets a transform on the $set
		 * For SVG, the style attribute takes precedence
		 * and allows us to animate
		 * @param {String} transform
		 */
setTransform:function(t){for(var n=this.$set,i=n.length;i--;)e.style(n[i],"transform",t),this.isSVG&&n[i].setAttribute("transform",t)},
/**
		 * Retrieving the transform is different for SVG
		 *  (unless a style transform is already present)
		 * Uses the $set collection for retrieving the transform
		 * @param {String} [transform] Pass in an transform value (like 'scale(1.1)')
		 *  to have it formatted into matrix format for use by Panzoom
		 * @returns {String} Returns the current transform value of the element
		 */
getTransform:function(t){var n=this.$set[0];return t?this.setTransform(t):(t=e.style(n,"transform"),!this.isSVG||t&&"none"!==t||(t=e.attr(n,"transform")||"none")),"none"===t||l.test(t)||this.setTransform(t=e.css(n,"transform")),t||"none"},
/**
		 * Retrieve the current transform matrix for $elem (or turn a transform into it's array values)
		 * @param {String} [transform] matrix-formatted transform value
		 * @returns {Array} Returns the current transform matrix split up into it's parts, or a default matrix
		 */
getMatrix:function(t){var e=l.exec(t||this.getTransform());return e&&e.shift(),e||[1,0,0,1,0,0]},
/**
		 * Given a matrix object, quickly set the current matrix of the element
		 * @param {Array|String} matrix
		 * @param {Object} [options]
		 * @param {Boolean|String} [options.animate] Whether to animate the transform change, or 'skip' indicating that it is unnecessary to set
		 * @param {Boolean} [options.contain] Override the global contain option
		 * @param {Boolean} [options.range] If true, $zoomRange's value will be updated.
		 * @param {Boolean} [options.silent] If true, the change event will not be triggered
		 * @returns {Array} Returns the newly-set matrix
		 */
setMatrix:function(t,n){if(!this.disabled){n||(n={}),"string"==typeof t&&(t=this.getMatrix(t));var i=+t[0],s=void 0!==n.contain?n.contain:this.options.contain;if(s){var o,a,r,h=n.dims;h||(this.resetDimensions(),h=this.dimensions);var c=this.container,l=h.width,m=h.height,u=c.width,f=c.height,p=u/l,d=f/m;"center"!==this.$parent.css("textAlign")||"inline"!==e.css(this.elem,"display")?(o=(r=(l-this.elem.offsetWidth)/2)-h.border.left,a=l-u-r+h.border.right):o=a=(l-u)/2;var g=(m-f)/2+h.border.top,v=(m-f)/2-h.border.top-h.border.bottom;t[4]="invert"===s||"automatic"===s&&p<1.01?Math.max(Math.min(t[4],o-h.border.left),-a):Math.min(Math.max(t[4],o),-a),t[5]="invert"===s||"automatic"===s&&d<1.01?Math.max(Math.min(t[5],g-h.border.top),-v):Math.min(Math.max(t[5],g),-v)}if("skip"!==n.animate&&this.transition(!n.animate),n.range&&this.$zoomRange.val(i),this.options.disableXAxis||this.options.disableYAxis){var b=this.getMatrix();this.options.disableXAxis&&(t[4]=b[4]),this.options.disableYAxis&&(t[5]=b[5])}return this.setTransform("matrix("+t.join(",")+")"),this.scale=i,this._checkPanWhenZoomed(i),n.silent||this._trigger("change",t),t}},
/**
		 * @returns {Boolean} Returns whether the panzoom element is currently being dragged
		 */
isPanning:function(){return this.panning},
/**
		 * Apply the current transition to the element, if allowed
		 * @param {Boolean} [off] Indicates that the transition should be turned off
		 */
transition:function(t){if(this._transition)for(var n=t||!this.options.transition?"none":this._transition,i=this.$set,s=i.length;s--;)e.style(i[s],"transition")!==n&&e.style(i[s],"transition",n)},
/**
		 * Pan the element to the specified translation X and Y
		 * Note: this is not the same as setting jQuery#offset() or jQuery#position()
		 * @param {Number} x
		 * @param {Number} y
		 * @param {Object} [options] These options are passed along to setMatrix
		 * @param {Array} [options.matrix] The matrix being manipulated (if already known so it doesn't have to be retrieved again)
		 * @param {Boolean} [options.silent] Silence the pan event. Note that this will also silence the setMatrix change event.
		 * @param {Boolean} [options.relative] Make the x and y values relative to the existing matrix
		 */
pan:function(t,e,n){if(!this.options.disablePan){n||(n={});var i=n.matrix;i||(i=this.getMatrix()),n.relative&&(t+=+i[4],e+=+i[5]),i[4]=t,i[5]=e,this.setMatrix(i,n),n.silent||this._trigger("pan",i[4],i[5])}},
/**
		 * Zoom in/out the element using the scale properties of a transform matrix
		 * @param {Number|Boolean} [scale] The scale to which to zoom or a boolean indicating to transition a zoom out
		 * @param {Object} [opts] All global options can be overwritten by this options object. For example, override the default increment.
		 * @param {Boolean} [opts.noSetRange] Specify that the method should not set the $zoomRange value (as is the case when $zoomRange is calling zoom on change)
		 * @param {jQuery.Event|Object} [opts.focal] A focal point on the panzoom element on which to zoom.
		 *  If an object, set the clientX and clientY properties to the position relative to the parent
		 * @param {Boolean} [opts.animate] Whether to animate the zoom (defaults to true if scale is not a number, false otherwise)
		 * @param {Boolean} [opts.silent] Silence the zoom event
		 * @param {Array} [opts.matrix] Optionally pass the current matrix so it doesn't need to be retrieved
		 * @param {Number} [opts.dValue] Think of a transform matrix as four values a, b, c, d
		 *  where a/d are the horizontal/vertical scale values and b/c are the skew values
		 *  (5 and 6 of matrix array are the tx/ty transform values).
		 *  Normally, the scale is set to both the a and d values of the matrix.
		 *  This option allows you to specify a different d value for the zoom.
		 *  For instance, to flip vertically, you could set -1 as the dValue.
		 */
zoom:function(t,n){"object"==typeof t?(n=t,t=null):n||(n={});var i=e.extend({},this.options,n);if(!i.disableZoom){var s=!1,o=i.matrix||this.getMatrix(),a=+o[0];"number"!=typeof t&&(t=i.exponential&&a-i.increment>=1?Math[t?"sqrt":"pow"](a,2):a+i.increment*(t?-1:1),s=!0),t>i.maxScale?t=i.maxScale:t<i.minScale&&(t=i.minScale);var r=i.focal;if(r&&!i.disablePan){this.resetDimensions();var h=i.dims=this.dimensions,c=r.clientX,l=r.clientY;this.isSVG||(c-=h.width/a/2,l-=h.height/a/2);var m=new f(c,l,1),p=new u(o),d=this.parentOffset||this.$parent.offset(),g=new u(1,0,d.left-this.$doc.scrollLeft(),0,1,d.top-this.$doc.scrollTop()),v=p.inverse().x(g.inverse().x(m)),b=t/o[0];p=p.x(new u([b,0,0,b,0,0])),m=g.x(p.x(v)),o[4]=+o[4]+(c-m.e(0)),o[5]=+o[5]+(l-m.e(1))}o[0]=t,o[3]="number"==typeof i.dValue?i.dValue:t,this.setMatrix(o,{animate:void 0!==i.animate?i.animate:s,range:!i.noSetRange}),i.silent||this._trigger("zoom",o[0],i)}},
/**
		 * Get/set option on an existing instance
		 * @returns {Array|undefined} If getting, returns an array of all values
		 *   on each instance for a given key. If setting, continue chaining by returning undefined.
		 */
option:function(t,n){var i;if(!t)return e.extend({},this.options);if("string"==typeof t){if(1===arguments.length)return void 0!==this.options[t]?this.options[t]:null;(i={})[t]=n}else i=t;this._setOptions(i)},
/**
		 * Internally sets options
		 * @param {Object} options - An object literal of options to set
		 * @private
		 */
_setOptions:function(t){e.each(t,e.proxy(function(t,n){switch(t){case"disablePan":this._resetStyle();case"$zoomIn":case"$zoomOut":case"$zoomRange":case"$reset":case"disableZoom":case"onStart":case"onChange":case"onZoom":case"onPan":case"onEnd":case"onReset":case"eventNamespace":this._unbind()}switch(this.options[t]=n,t){case"disablePan":this._initStyle();case"$zoomIn":case"$zoomOut":case"$zoomRange":case"$reset":this[t]=n;case"disableZoom":case"onStart":case"onChange":case"onZoom":case"onPan":case"onEnd":case"onReset":case"eventNamespace":this._bind();break;case"cursor":e.style(this.elem,"cursor",n);break;case"minScale":this.$zoomRange.attr("min",n);break;case"maxScale":this.$zoomRange.attr("max",n);break;case"rangeStep":this.$zoomRange.attr("step",n);break;case"startTransform":this._buildTransform();break;case"duration":case"easing":this._buildTransition();case"transition":this.transition();break;case"panOnlyWhenZoomed":this._checkPanWhenZoomed();break;case"$set":n instanceof e&&n.length&&(this.$set=n,this._initStyle(),this._buildTransform())}},this))},
/**
		 * Disable/enable panning depending on whether the current scale
		 * matches the minimum
		 * @param {Number} [scale]
		 * @private
		 */
_checkPanWhenZoomed:function(t){var e=this.options;if(e.panOnlyWhenZoomed){t||(t=this.getMatrix()[0]);var n=t<=e.minScale;e.disablePan!==n&&this.option("disablePan",n)}},
/**
		 * Initialize base styles for the element and its parent
		 * @private
		 */
_initStyle:function(){var t={"transform-origin":this.isSVG?"0 0":"50% 50%"};this.options.disablePan||(t.cursor=this.options.cursor),this.$set.css(t);var n=this.$parent;n.length&&!e.nodeName(this.parent,"body")&&(t={overflow:"hidden"},"static"===n.css("position")&&(t.position="relative"),n.css(t))},
/**
		 * Undo any styles attached in this plugin
		 * @private
		 */
_resetStyle:function(){this.$elem.css({cursor:"",transition:""}),this.$parent.css({overflow:"",position:""})},
/**
		 * Binds all necessary events
		 * @private
		 */
_bind:function(){var t=this,n=this.options,i=n.eventNamespace,s="mousedown"+i+" pointerdown"+i+" MSPointerDown"+i,o="touchstart"+i+" "+s,r="touchend"+i+" click"+i+" pointerup"+i+" MSPointerUp"+i,h={},c=this.$reset,l=this.$zoomRange;if(e.each(["Start","Change","Zoom","Pan","End","Reset"],function(){var t=n["on"+this];e.isFunction(t)&&(h["panzoom"+this.toLowerCase()+i]=t)}),n.disablePan&&n.disableZoom||(h[o]=function(e){var i;("touchstart"===e.type?!(i=e.touches||e.originalEvent.touches)||(1!==i.length||n.disablePan)&&2!==i.length:n.disablePan||(e.which||e.originalEvent.which)!==n.which)||(e.preventDefault(),e.stopPropagation(),t._startMove(e,i))},3===n.which&&(h.contextmenu=!1)),this.$elem.on(h),c.length&&c.on(r,function(e){e.preventDefault(),t.reset()}),l.length&&l.attr({step:n.rangeStep===p.defaults.rangeStep&&l.attr("step")||n.rangeStep,min:n.minScale,max:n.maxScale}).prop({value:this.getMatrix()[0]}),!n.disableZoom){var m=this.$zoomIn,u=this.$zoomOut;m.length&&u.length&&(m.on(r,function(e){e.preventDefault(),t.zoom()}),u.on(r,function(e){e.preventDefault(),t.zoom(!0)})),l.length&&((h={})[s]=function(){t.transition(!0)},h[(a?"input":"change")+i]=function(){t.zoom(+this.value,{noSetRange:!0})},l.on(h))}},
/**
		 * Unbind all events
		 * @private
		 */
_unbind:function(){this.$elem.add(this.$zoomIn).add(this.$zoomOut).add(this.$reset).off(this.options.eventNamespace)},
/**
		 * Builds the original transform value
		 * @private
		 */
_buildTransform:function(){return this._origTransform=this.getTransform(this.options.startTransform)},
/**
		 * Set transition property for later use when zooming
		 * @private
		 */
_buildTransition:function(){if(this._transform){var t=this.options;this._transition=this._transform+" "+t.duration+"ms "+t.easing}},
/**
		 * Calculates the distance between two touch points
		 * Remember pythagorean?
		 * @param {Array} touches
		 * @returns {Number} Returns the distance
		 * @private
		 */
_getDistance:function(t){var e=t[0],n=t[1];return Math.sqrt(Math.pow(Math.abs(n.clientX-e.clientX),2)+Math.pow(Math.abs(n.clientY-e.clientY),2))},
/**
		 * Constructs an approximated point in the middle of two touch points
		 * @returns {Object} Returns an object containing pageX and pageY
		 * @private
		 */
_getMiddle:function(t){var e=t[0],n=t[1];return{clientX:(n.clientX-e.clientX)/2+e.clientX,clientY:(n.clientY-e.clientY)/2+e.clientY}},
/**
		 * Trigger a panzoom event on our element
		 * The event is passed the Panzoom instance
		 * @param {String|jQuery.Event} event
		 * @param {Mixed} arg1[, arg2, arg3, ...] Arguments to append to the trigger
		 * @private
		 */
_trigger:function(t){"string"==typeof t&&(t="panzoom"+t),this.$elem.triggerHandler(t,[this].concat(s.call(arguments,1)))},
/**
		 * Starts the pan
		 * This is bound to mouse/touchmove on the element
		 * @param {jQuery.Event} event An event with pageX, pageY, and possibly the touches list
		 * @param {TouchList} [touches] The touches list if present
		 * @private
		 */
_startMove:function(t,i){if(!this.panning){var s,o,a,r,h,c,l,m,u=this,f=this.options,p=f.eventNamespace,d=this.getMatrix(),g=d.slice(0),v=+g[4],b=+g[5],x={matrix:d,animate:"skip"},_=t.type;"pointerdown"===_?(s="pointermove",o="pointerup"):"touchstart"===_?(s="touchmove",o="touchend"):"MSPointerDown"===_?(s="MSPointerMove",o="MSPointerUp"):(s="mousemove",o="mouseup"),s+=p,o+=p,this.transition(!0),this.panning=!0,this._trigger("start",t,i);var $=function(t,e){if(e){if(2===e.length){if(null!=a)return;return a=u._getDistance(e),r=+d[0],void(h=u._getMiddle(e))}if(null!=c)return;(m=e[0])&&(c=m.pageX,l=m.pageY)}null==c&&(c=t.pageX,l=t.pageY)};$(t,i);e(n).off(p).on(s,function(t){var e;if(t.preventDefault(),i=t.touches||t.originalEvent.touches,$(t,i),i){if(2===i.length){var n=u._getMiddle(i),s=u._getDistance(i)-a;return u.zoom(s*(f.increment/100)+r,{focal:n,matrix:d,animate:"skip"}),u.pan(+d[4]+n.clientX-h.clientX,+d[5]+n.clientY-h.clientY,x),void(h=n)}e=i[0]||{pageX:0,pageY:0}}e||(e=t),u.pan(v+e.pageX-c,b+e.pageY-l,x)}).on(o,function(t){t.preventDefault(),e(this).off(p),u.panning=!1,t.type="panzoomend",u._trigger(t,d,!
/**
	 * Utility for determining transform matrix equality
	 * Checks backwards to test translation first
	 * @param {Array} first
	 * @param {Array} second
	 */
function(t,e){for(var n=t.length;--n;)if(Math.round(+t[n])!==Math.round(+e[n]))return!1;return!0}(d,g))})}}},e.Panzoom=p,
/**
	 * Extend jQuery
	 * @param {Object|String} options - The name of a method to call on the prototype
	 *  or an object literal of options
	 * @returns {jQuery|Mixed} jQuery instance for regular chaining or the return value(s) of a panzoom method call
	 */
e.fn.panzoom=function(t){var n,o,a,r;return"string"==typeof t?(r=[],o=s.call(arguments,1),this.each(function(){(n=e.data(this,i))?"_"!==t.charAt(0)&&"function"==typeof(a=n[t])&&void 0!==(a=a.apply(n,o))&&r.push(a):r.push(void 0)}),r.length?1===r.length?r[0]:r:this):this.each(function(){new p(this,t)})},p});